#standard equipment type config file
#    
#     Diesel Generator Group
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: SM-AC
#               Relevant Equipment List: Diesel Generator, ACU System
#



#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID	Group Type Flag		Type Name			Type Name Resource ID
1500		1			Diesel Generator Group		36	

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
4

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range				Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
1		Date of latest Test			1			NA		-1				-3			T			NA			NA			NA				NA					W/L				NA			1			NA			NA
2		Test In Progress Status			2			NA		1				56			E			NA			NA			NA				[ID10=no]/[ID11=yes]			NA				NA			2			NA			NA
3		Diesel Test Result			3			NA		1				57			E			NA			NA			NA				[ID27=Normal]/[ID28=Manual Stop]/[ID29=Time is up]/[ID30=In Man State]/[ID31=Low Batt Vol]/[ID32=High Water Temp]/[ID33=Low Oil Press]/[ID34=Low Fuel Level]/[ID35=Diesel Failure]			W/L				NA			3			NA	NA
4		Total Input Current			41			A		-1				-3			F			5			5			NA				NA			NA				NA			3			.1			NA
99		Communicate State			37			NA		1				123			U			NA			NA			NA				NA					NA				NA			48			NA			NA
100		Existence State				38			NA		1				122			E			NA			NA			NA				[ID39=Existent]/[ID40=Not Existent]	NA				NA			39			NA			NA

#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
4

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp
1		Start Diesel Test			4			NA		1				NA			E			[ID11=yes]		W/L				W/L				1				O			15			NA			1			NA		1		NA			NA			NA
2		Reset Diesel Test Error			12			NA		1				NA			E			[ID11=yes]		W/L				W/L				1				O			16			NA			7			NA		NA		NA			NA			NA
3		Start Diesel Test(for EEM)		4			NA		-1				-4			E			[ID10=no]/[ID11=yes]	NA				NA				1				O			15			NA			-3			NA		1		NA			[0,1,1] = 1		NA
4		Reset Diesel Test Error(for EEM)	12			NA		-1				-4			E			[ID10=no]/[ID11=yes]	NA				NA				1				O			16			NA			-3			NA		NA		NA			[0,1,2] = 1		NA

#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
17

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression	Persistence Falg	On Control Action	Disp Exp
1		Max duration for Diesel Test		5			min		1				-3			U			60			1/255				W/L				W/L				NA			O			21			NA			12			5		NA			1			NA			NA
2		Schedule Diesel Test Enabled		6			NA		-1				-3			E			0			[ID10=no]/[ID11=yes]		W/L				W/L				NA			O			22			NA			-3			NA		NA			1			NA			NA
3		Diesel Control Inhibit			7			NA		-1				-3			E			0			[ID10=no]/[ID11=yes]		W/L				W/L				NA			O			23			NA			-3			NA		NA			1			NA			NA
4		Delay before New Test			13			h		-1				-3			U			24			0/720				W/L				W/L				NA			O			24			NA			-3			1		NA			1			NA			NA
5		Number of schedule Test per year	14			NA		-1				-3			U			4			0/12				W/L				W/L				NA			O			25			NA			-3			1		NA			1			NA			NA
6		Test 1 date				15			NA		-1				-3			T			31536450 		NA				W/L				W/L				NA			O			26			NA			-3			0		NA			1			NA			[0,2,5]>0
7		Test 2 date				16			NA		-1				-3			T			39312450		NA				W/L				W/L				NA			O			27			NA			-3			0		NA			1			NA			[0,2,5]>1
8		Test 3 date				17 			NA		-1				-3			T			47174850		NA				W/L				W/L				NA			O			28			NA			-3			0		NA			1			NA			[0,2,5]>2
9		Test 4 date				18 			NA		-1				-3			T			55123650		NA				W/L				W/L				NA			O			29			NA			-3			0		NA			1			NA			[0,2,5]>3
10		Test 5 date				19 			NA		-1				-3			T			0			NA				W/L				W/L				NA			O			30			NA			-3			0		NA			1			NA			[0,2,5]>4
11		Test 6 date				20 			NA		-1				-3			T			0			NA				W/L				W/L				NA			O			31			NA			-3			0		NA			1			NA			[0,2,5]>5
12		Test 7 date				21 			NA		-1				-3			T			0			NA				W/L				W/L				NA			O			32			NA			-3			0		NA			1			NA			[0,2,5]>6
13		Test 8 date				22 			NA		-1				-3			T			0			NA				W/L				W/L				NA			O			33			NA			-3			0		NA			1			NA			[0,2,5]>7
14		Test 9 date				23 			NA		-1				-3			T			0			NA				W/L				W/L				NA			O			34			NA			-3			0		NA			1			NA			[0,2,5]>8
15		Test 10 date				24 			NA		-1				-3			T			0			NA				W/L				W/L				NA			O			35			NA			-3			0		NA			1			NA			[0,2,5]>9
16		Test 11 date				25			NA		-1				-3			T			0			NA				W/L				W/L				NA			O			36			NA			-3			0		NA			1			NA			[0,2,5]>10
17		Test 12 date				26			NA		-1				-3			T			0			NA				W/L				W/L				NA			O			37			NA			-3			0		NA			1			NA			[0,2,5]>11

#2.4 Define the Alarm Singals
[ALARM_NUM]
2

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name			Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay	Suppressing Expression	Relay ID
1		Diesel Test In Progress		8				OA		[0,0,2] == 1		NA		[1,3,2]			NA
2		Diesel Test Failure		9				MA		[0,0,3] >= 4		NA		[1,3,2]			NA
